## ros-melodic-fetch-bringup 0.8.8

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(fetch_bringup)

find_package(catkin)
catkin_package()

install(
  DIRECTORY config
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(
  DIRECTORY launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(
  PROGRAMS scripts/controller_reset.py
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(
  PROGRAMS scripts/software_runstop.py
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

=== debian/changelog ===
ros-melodic-fetch-bringup (0.8.8-1stretch) stretch; urgency=high



 -- Eric Relson <erelson@fetchrobotics.com>  Wed, 21 Aug 2019 07:00:00 -0000

ros-melodic-fetch-bringup (0.8.7-1stretch) stretch; urgency=high

  * Move ds4drv dep from package.xml to sys-config deb (#48 <https://github.com/fetchrobotics/fetch_robots/issues/48>)
    ROS buildfarm doesn't support pip dependencies.
    Also removed outdated sixad line. We don't install sixad at all in 18.04.
  * Update launch files to support PS4 teleop w/ds4drv
    - Teleop: Change default /joy/dev param to /dev/fetch_joy to match
    udev rules
    - Add ps4 flag/arg to default fetch.launch and freight.launch
    - As workaround to a weird bug, renamed 'joy' node to 'joy_node'
  * remove respawn in fetch_bringup/launch/include/teleop.launch.xml (#44 <https://github.com/fetchrobotics/fetch_robots/issues/44>)
    We want to enable launching the teleop node and it's components separately, without duplicate nodes continually respawning.
  * Merge pull request #37 <https://github.com/fetchrobotics/fetch_robots/issues/37> from 708yamaguchi/melodic-devel
    Add params for selecting teleop part for melodic
  * add joystick deadzone parameter (#42 <https://github.com/fetchrobotics/fetch_robots/issues/42>)
  * Add argument to select launching teleop (#40 <https://github.com/fetchrobotics/fetch_robots/issues/40>)
    - add argument to select launching teleop for Fetch
    - add argument to select launching teleop for freight
  * add params for selecting teleop part
  * Contributors: Andrew Parker, Carl Saldanha, Eric Relson, Naoya Yamaguchi, Shingo Kitagawa

 -- Eric Relson <erelson@fetchrobotics.com>  Tue, 06 Aug 2019 07:00:00 -0000

ros-melodic-fetch-bringup (0.8.6-1stretch) stretch; urgency=high



 -- Eric Relson <erelson@fetchrobotics.com>  Thu, 28 Feb 2019 08:00:00 -0000

ros-melodic-fetch-bringup (0.8.5-1stretch) stretch; urgency=high



 -- Eric Relson <erelson@fetchrobotics.com>  Tue, 26 Feb 2019 08:00:00 -0000

ros-melodic-fetch-bringup (0.8.4-1stretch) stretch; urgency=high

  * Add additional convenience packages as deps (#33 <https://github.com/fetchrobotics/fetch_robots/issues/33>)
    * Add additional convenience packages as deps
    * system config deb pulls in rest of debs
    * Fix netplan configuration approach
  * Contributors: Eric Relson

 -- Eric Relson <erelson@fetchrobotics.com>  Thu, 21 Feb 2019 08:00:00 -0000

ros-melodic-fetch-bringup (0.8.3-1stretch) stretch; urgency=high



 -- Fetch Robotics Open Source Team <opensource@fetchrobotics.com>  Fri, 15 Feb 2019 08:00:00 -0000

ros-melodic-fetch-bringup (0.8.2-1stretch) stretch; urgency=high

  * Merge pull request #30 <https://github.com/fetchrobotics/fetch_robots/issues/30> from moriarty/rebased-pr-26
    [bringup] package format v2 (originally #26 <https://github.com/fetchrobotics/fetch_robots/issues/26>)
  * Add ps3joy exec dep; update to package.xml 2.0
    Also removed robot_controllers_msgs for fetch_bringup. This dependency
    is part of fetch_drivers package already.
  * Contributors: Alex Moriarty, Eric Relson

 -- Fetch Robotics Open Source Team <opensource@fetchrobotics.com>  Fri, 15 Feb 2019 08:00:00 -0000

ros-melodic-fetch-bringup (0.8.1-1stretch) stretch; urgency=high



 -- Eric Relson <erelson@fetchrobotics.com>  Fri, 15 Feb 2019 08:00:00 -0000

ros-melodic-fetch-bringup (0.8.0-1stretch) stretch; urgency=high

  * Add autodocking to default robot launch (#28 <https://github.com/fetchrobotics/fetch_robots/issues/28>)
    Also update package.xml
  * sixad depend not needed anymore on bionic (#24 <https://github.com/fetchrobotics/fetch_robots/issues/24>)
    * sixad depend not needed anymore on bionic
    * remove sixad from fetch_bringup
  * [ros param] adds robot/name robot/type (#22 <https://github.com/fetchrobotics/fetch_robots/issues/22>)
    add robot specific information on rosparam, see https://github.com/ros-infrastructure/rep/pull/104
    Related to: ros-infrastructure/rep#104 <https://github.com/ros-infrastructure/rep/issues/104>
  * Contributors: Eric Relson, Kei Okada, Steffen Fuchs

 -- Eric Relson <erelson@fetchrobotics.com>  Wed, 13 Feb 2019 08:00:00 -0000

ros-melodic-fetch-bringup (0.7.5-1stretch) stretch; urgency=high

  * Add diagnostics aggregator launch and config
  * add cartesian twist controller to arm defaults
  * Contributors: Eric Relson, Hanjun Song, Michael Ferguson

 -- Eric Relson <erelson@fetchrobotics.com>  Mon, 12 Jun 2017 07:00:00 -0000

ros-melodic-fetch-bringup (0.7.4-1stretch) stretch; urgency=high

  * Updates for research robots
  * Contributors: Michael Ferguson

 -- Eric Relson <erelson@fetchrobotics.com>  Tue, 28 Mar 2017 07:00:00 -0000

ros-melodic-fetch-bringup (0.7.3-1stretch) stretch; urgency=high

  * Add install rule for software runstop
  * Software runstop support via controller and topics
  * Contributors: Eric Relson

 -- Eric Relson <erelson@fetchrobotics.com>  Fri, 26 Aug 2016 07:00:00 -0000

ros-melodic-fetch-bringup (0.7.2-1stretch) stretch; urgency=high



 -- Eric Relson <erelson@fetchrobotics.com>  Tue, 14 Jun 2016 07:00:00 -0000

ros-melodic-fetch-bringup (0.7.1-1stretch) stretch; urgency=high

  * update to use /dev/ps3joy
  * Contributors: Michael Ferguson

 -- Eric Relson <erelson@fetchrobotics.com>  Thu, 05 May 2016 07:00:00 -0000

ros-melodic-fetch-bringup (0.7.0-1stretch) stretch; urgency=high

  * fix dependency issue with sixad
  * Contributors: Michael Ferguson

 -- Eric Relson <erelson@fetchrobotics.com>  Mon, 28 Mar 2016 07:00:00 -0000

ros-melodic-fetch-bringup (0.6.1-1stretch) stretch; urgency=high

  * require latest sixad
  * Add autorepeat_rate parameter to teleop launch
  * Contributors: Michael Ferguson, Michael Hwang

 -- Eric Relson <erelson@fetchrobotics.com>  Tue, 22 Mar 2016 07:00:00 -0000

ros-melodic-fetch-bringup (0.6.0-1stretch) stretch; urgency=high

  * start tuck_arm.py as joystick teleop
  * disable gripper when resetting controllers


=== debian/control ===
Source: ros-melodic-fetch-bringup
Section: misc
Priority: extra
Maintainer: Eric Relson <erelson@fetchrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin
Homepage: 
Standards-Version: 3.9.2

Package: ros-melodic-fetch-bringup
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-depth-image-proc, ros-melodic-diagnostic-aggregator, ros-melodic-fetch-description, ros-melodic-fetch-drivers, ros-melodic-fetch-moveit-config, ros-melodic-fetch-navigation, ros-melodic-fetch-open-auto-dock, ros-melodic-fetch-teleop, ros-melodic-graft, ros-melodic-image-proc, ros-melodic-joy, ros-melodic-openni2-launch, ros-melodic-ps3joy, ros-melodic-robot-state-publisher, ros-melodic-sensor-msgs, ros-melodic-sick-tim (>= 0.0.4)
Description: Bringup for fetch

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-fetch-bringup//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install

## ros-melodic-fetch-bringup 0.8.9

=== debian/changelog ===
ros-melodic-fetch-bringup (0.8.9-1bionic) bionic; urgency=high

  * Initial Noetic release
  * Respawn tuck_arm node on shutdown [OPEN-48] (#59 <https://github.com/fetchrobotics/fetch_robots/issues/59>)
  * Add soundplay ROS node as systemd service (#53 <https://github.com/fetchrobotics/fetch_robots/issues/53>)
  * Updates maintainers
  * Contributors: Eric Relson, Jeff Wilson

 -- Eric Relson <erelson@fetchrobotics.com>  Sat, 06 Mar 2021 08:00:00 -0000

ros-melodic-fetch-bringup (0.8.8-1bionic) bionic; urgency=high



 -- Eric Relson <erelson@fetchrobotics.com>  Wed, 21 Aug 2019 07:00:00 -0000

ros-melodic-fetch-bringup (0.8.7-1bionic) bionic; urgency=high

  * Move ds4drv dep from package.xml to sys-config deb (#48 <https://github.com/fetchrobotics/fetch_robots/issues/48>)
    ROS buildfarm doesn't support pip dependencies.
    Also removed outdated sixad line. We don't install sixad at all in 18.04.
  * Update launch files to support PS4 teleop w/ds4drv
    - Teleop: Change default /joy/dev param to /dev/fetch_joy to match
    udev rules
    - Add ps4 flag/arg to default fetch.launch and freight.launch
    - As workaround to a weird bug, renamed 'joy' node to 'joy_node'
  * remove respawn in fetch_bringup/launch/include/teleop.launch.xml (#44 <https://github.com/fetchrobotics/fetch_robots/issues/44>)
    We want to enable launching the teleop node and it's components separately, without duplicate nodes continually respawning.
  * Merge pull request #37 <https://github.com/fetchrobotics/fetch_robots/issues/37> from 708yamaguchi/melodic-devel
    Add params for selecting teleop part for melodic
  * add joystick deadzone parameter (#42 <https://github.com/fetchrobotics/fetch_robots/issues/42>)
  * Add argument to select launching teleop (#40 <https://github.com/fetchrobotics/fetch_robots/issues/40>)
    - add argument to select launching teleop for Fetch
    - add argument to select launching teleop for freight
  * add params for selecting teleop part
  * Contributors: Andrew Parker, Carl Saldanha, Eric Relson, Naoya Yamaguchi, Shingo Kitagawa

 -- Eric Relson <erelson@fetchrobotics.com>  Tue, 06 Aug 2019 07:00:00 -0000

ros-melodic-fetch-bringup (0.8.6-1bionic) bionic; urgency=high



 -- Eric Relson <erelson@fetchrobotics.com>  Thu, 28 Feb 2019 08:00:00 -0000

ros-melodic-fetch-bringup (0.8.5-1bionic) bionic; urgency=high



 -- Eric Relson <erelson@fetchrobotics.com>  Tue, 26 Feb 2019 08:00:00 -0000

ros-melodic-fetch-bringup (0.8.4-1bionic) bionic; urgency=high

  * Add additional convenience packages as deps (#33 <https://github.com/fetchrobotics/fetch_robots/issues/33>)
    * Add additional convenience packages as deps
    * system config deb pulls in rest of debs
    * Fix netplan configuration approach
  * Contributors: Eric Relson

 -- Eric Relson <erelson@fetchrobotics.com>  Thu, 21 Feb 2019 08:00:00 -0000

ros-melodic-fetch-bringup (0.8.3-1bionic) bionic; urgency=high



 -- Fetch Robotics Open Source Team <opensource@fetchrobotics.com>  Fri, 15 Feb 2019 08:00:00 -0000

ros-melodic-fetch-bringup (0.8.2-1bionic) bionic; urgency=high

  * Merge pull request #30 <https://github.com/fetchrobotics/fetch_robots/issues/30> from moriarty/rebased-pr-26
    [bringup] package format v2 (originally #26 <https://github.com/fetchrobotics/fetch_robots/issues/26>)
  * Add ps3joy exec dep; update to package.xml 2.0
    Also removed robot_controllers_msgs for fetch_bringup. This dependency
    is part of fetch_drivers package already.
  * Contributors: Alex Moriarty, Eric Relson

 -- Fetch Robotics Open Source Team <opensource@fetchrobotics.com>  Fri, 15 Feb 2019 08:00:00 -0000

ros-melodic-fetch-bringup (0.8.1-1bionic) bionic; urgency=high



 -- Eric Relson <erelson@fetchrobotics.com>  Fri, 15 Feb 2019 08:00:00 -0000

ros-melodic-fetch-bringup (0.8.0-1bionic) bionic; urgency=high

  * Add autodocking to default robot launch (#28 <https://github.com/fetchrobotics/fetch_robots/issues/28>)
    Also update package.xml
  * sixad depend not needed anymore on bionic (#24 <https://github.com/fetchrobotics/fetch_robots/issues/24>)
    * sixad depend not needed anymore on bionic
    * remove sixad from fetch_bringup
  * [ros param] adds robot/name robot/type (#22 <https://github.com/fetchrobotics/fetch_robots/issues/22>)
    add robot specific information on rosparam, see https://github.com/ros-infrastructure/rep/pull/104
    Related to: ros-infrastructure/rep#104 <https://github.com/ros-infrastructure/rep/issues/104>
  * Contributors: Eric Relson, Kei Okada, Steffen Fuchs

 -- Eric Relson <erelson@fetchrobotics.com>  Wed, 13 Feb 2019 08:00:00 -0000

ros-melodic-fetch-bringup (0.7.5-1bionic) bionic; urgency=high

  * Add diagnostics aggregator launch and config
  * add cartesian twist controller to arm defaults
  * Contributors: Eric Relson, Hanjun Song, Michael Ferguson

 -- Eric Relson <erelson@fetchrobotics.com>  Mon, 12 Jun 2017 07:00:00 -0000

ros-melodic-fetch-bringup (0.7.4-1bionic) bionic; urgency=high

  * Updates for research robots
  * Contributors: Michael Ferguson

 -- Eric Relson <erelson@fetchrobotics.com>  Tue, 28 Mar 2017 07:00:00 -0000

ros-melodic-fetch-bringup (0.7.3-1bionic) bionic; urgency=high

  * Add install rule for software runstop
  * Software runstop support via controller and topics
  * Contributors: Eric Relson

 -- Eric Relson <erelson@fetchrobotics.com>  Fri, 26 Aug 2016 07:00:00 -0000

ros-melodic-fetch-bringup (0.7.2-1bionic) bionic; urgency=high



 -- Eric Relson <erelson@fetchrobotics.com>  Tue, 14 Jun 2016 07:00:00 -0000

ros-melodic-fetch-bringup (0.7.1-1bionic) bionic; urgency=high

  * update to use /dev/ps3joy
  * Contributors: Michael Ferguson

 -- Eric Relson <erelson@fetchrobotics.com>  Thu, 05 May 2016 07:00:00 -0000

ros-melodic-fetch-bringup (0.7.0-1bionic) bionic; urgency=high

  * fix dependency issue with sixad
  * Contributors: Michael Ferguson

 -- Eric Relson <erelson@fetchrobotics.com>  Mon, 28 Mar 2016 07:00:00 -0000



=== debian/control ===
Source: ros-melodic-fetch-bringup
Section: misc
Priority: optional
Maintainer: Eric Relson <erelson@fetchrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin
Homepage: 
Standards-Version: 3.9.2

Package: ros-melodic-fetch-bringup
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-depth-image-proc, ros-melodic-diagnostic-aggregator, ros-melodic-fetch-description, ros-melodic-fetch-drivers, ros-melodic-fetch-moveit-config, ros-melodic-fetch-navigation, ros-melodic-fetch-open-auto-dock, ros-melodic-fetch-teleop, ros-melodic-graft, ros-melodic-image-proc, ros-melodic-joy, ros-melodic-openni2-launch, ros-melodic-ps3joy, ros-melodic-robot-state-publisher, ros-melodic-sensor-msgs, ros-melodic-sick-tim (>= 0.0.4), ros-melodic-sound-play
Description: Bringup for fetch
